RBL Projects - Feature #333

Field Level Encryption of Nominee Details
01/03/2024 10:05 AM - Vijayakumar

Status: Closed Start date: 01/03/2024

Priority: High Due date: 01/10/2024

Assignee: Payodhi % Done: 100%
Estimated time: 0.00 hour
Spent time: 0.00 hour

Project categorizatio Existing

n:

Description

Dear Payodhi,

According to RBL Bank audit recommendations, we need to implement field-level encryption for nominee details.
Please review the Business Requirements Document (BRD) and provide your approval.

History

#1 - 01/03/2024 11:05 AM - Payodhi

- Status changed from New to Approved

- Assignee changed from Payodhi to Vijayakumar

Dear Vijayakumar,

Approved, Pls proceed.

#2 - 01/03/2024 01:05 PM - Vijayakumar

- Status changed from Approved to In Progress

- Assignee changed from Vijayakumar to Shiva_CIMS

Dear Shiva,

As per our conversation, please locate the Business Requirements Document (BRD) outlining the proposed modifications.
#3 - 01/05/2024 12:15 PM - Shiva_CIMS

- Assignee changed from Shiva_CIMS to Vijayakumar

Dear Vijayakumar,

As requested, the server will be unavailable from Saturday evening, the 6th, to Sunday, the 7th. Please confirm this arrangement.
#4 - 01/05/2024 02:15 PM - Vijayakumar

- Assignee changed from Vijayakumar to Shiva_CIMS

Dear Shiva,

Please take over from Saturday evening at 8 PM.

#5 - 01/07/2024 02:15 PM - Shiva_CIMS

- Assignee changed from Shiva_CIMS to Vijayakumar

Dear Vijayakumar,

As per your request, we have encrypted the nominee details at the field level. Once the file is sourced, the data is stored in the database as encrypted
text.

Please check the test file and make the necessary updates accordingly.

Note : If it does not work properly, a rollback plan is available.
#6 - 01/07/2024 04:15 PM - Vijayakumar

- Assignee changed from Vijayakumar to Shiva_CIMS

Dear Shiva,

We reviewed the nominee details after the sourcing process was completed. In some instances, the following columns are not encrypted.
e nhouseno
* nstreatno

e nlandmark
¢ nlocation

#7 - 01/07/2024 08:01 PM - Shiva_CIMS

- File Nominee_Encryption.png added

- Assignee changed from Shiva_CIMS to Vijayakumar

Dear Vijayakumar,

Please check again now. All the columns are now encrypted.

#8 - 01/08/2024 01:21 PM - Vijayakumar

- File Functional_TC_Field Level Encryption of Nominee Details.xIsx added
- Assignee changed from Vijayakumar to Shiva_CIMS

Dear Shiva,

We have tested in report level , now its working fine.

Please find the functional testcase for your references.

Rajkumar Kindly conduct the security testcase for this changes.

#9 - 01/08/2024 04:21 PM - Rajkumar

- File Security_TC_Field Level Encryption of Nominee Details.xIsx added
Dear Shiva,

We have completed the security testing. Please find the test cases for your reference.
#10 - 01/09/2024 05:21 PM - Shiva_CIMS

- File Release_Field Level Encryption of Nominee Details.docx added

- Assignee changed from Shiva_CIMS to Vijayakumar

Greetings,

Same changes has been deployed in Production.Please find the release documents for your references.
#11 - 01/09/2024 05:45 PM - Vijayakumar

- Status changed from In Progress to Closed

- Assignee changed from Vijayakumar to Payodhi

Dear Chandra/Payodhi,

For your information our new requirement has been done.

Files

Field Level Encryption of Nominee Details.docx 48.4 KB 01/03/2024 Vijayakumar
Nominee_Encryption.png 82.1 KB 01/07/2024 Shiva_CIMS
Functional_TC_Field Level Encryption of Nominee Details.xIsx 24.7 KB 01/08/2024 Vijayakumar
Security_TC_Field Level Encryption of Nominee Details.xIsx 21.9KB 01/08/2024 Rajkumar
Release_Field Level Encryption of Nominee Details.docx 44.3 KB 01/09/2024 Shiva_CIMS
